version: '3.7'

services:

  inventory:
    image: registry.gitlab.com/protective-h2020-eu/enrichment/context-awareness/ca-fusioninventory:2.2.0.SNAPSHOT
    init: true
    depends_on:
      - mair
    environment:
      IN_DOCKER: 1
      SPRING_PROFILE: container-nossl
      WAIT_FOR_HOST_AND_PORT: mair:8080
    volumes:
      - ./logs:/logs
    ports:
      - "8089:8080"
      - "127.0.0.1:8766:8765"
    restart: unless-stopped

  mair:
    image: registry.gitlab.com/protective-h2020-eu/enrichment/context-awareness/ca-mair:2.2.0.SNAPSHOT
    init: true
    depends_on:
      - mairdb
    environment:
      IN_DOCKER: 1
      SPRING_PROFILE: container
      WAIT_FOR_HOST_AND_PORT: mairdb:27017
      SPRING_DATA_MONGODB_URI: mongodb://mairdb:27017/test
#      CAMAIR_CAASURL: http://the.url.of.ca.as:with.optional.port
    volumes:
      - ./logs:/logs
    ports:
      - "8080:8080"
      - "127.0.0.1:8765:8765"
    restart: unless-stopped

  mairdb:
    image: mongo:4.0
    init: true
    environment:
      - MONGO_DATA_DIR=/data/db
    volumes:
      - mair-data-db:/data/db
    ports:
      - "127.0.0.1:27017:27017"
    restart: unless-stopped
    
volumes:
  mair-data-db:

networks:
  default:
    driver_opts:
      "com.docker.network.driver.mtu": "1450"
